Package fr.gouv.vitam.worker.core.plugin.elimination.model

# Class EliminationExtendedInfoAccessLinkInconsistencyDetails

java.lang.Object
fr.gouv.vitam.worker.core.plugin.elimination.model.EliminationExtendedInfoAccessLinkInconsistencyDetails

public class EliminationExtendedInfoAccessLinkInconsistencyDetails extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EliminationExtendedInfoAccessLinkInconsistencyDetails()`
  `EliminationExtendedInfoAccessLinkInconsistencyDetails(String parentUnitId, Set<String> destroyableOriginatingAgencies, Set<String> nonDestroyableOriginatingAgencies)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<String>`
  `getDestroyableOriginatingAgencies()`
  `Set<String>`
  `getNonDestroyableOriginatingAgencies()`
  `String`
  `getParentUnitId()`
  `void`
  `setDestroyableOriginatingAgencies(Set<String> destroyableOriginatingAgencies)`
  `void`
  `setNonDestroyableOriginatingAgencies(Set<String> nonDestroyableOriginatingAgencies)`
  `void`
  `setParentUnitId(String parentUnitId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EliminationExtendedInfoAccessLinkInconsistencyDetails

    public EliminationExtendedInfoAccessLinkInconsistencyDetails()

  - ### EliminationExtendedInfoAccessLinkInconsistencyDetails

    public EliminationExtendedInfoAccessLinkInconsistencyDetails(String parentUnitId, Set<String> destroyableOriginatingAgencies, Set<String> nonDestroyableOriginatingAgencies)

- ## Method Details

  - ### getParentUnitId

    public String getParentUnitId()

  - ### setParentUnitId

    public void setParentUnitId(String parentUnitId)

  - ### getDestroyableOriginatingAgencies

    public Set<String> getDestroyableOriginatingAgencies()

  - ### setDestroyableOriginatingAgencies

    public void setDestroyableOriginatingAgencies(Set<String> destroyableOriginatingAgencies)

  - ### getNonDestroyableOriginatingAgencies

    public Set<String> getNonDestroyableOriginatingAgencies()

  - ### setNonDestroyableOriginatingAgencies

    public void setNonDestroyableOriginatingAgencies(Set<String> nonDestroyableOriginatingAgencies)